GLIMPSESERVER(1)

NAME
glimpseserver - a server version of the glimpse searching package.

OVERVIEW
Glimpse is an indexing and query system that allows you to search through all your files very quickly. The use of glimpse in servers that handle frequent queries is growing, which is why we wrote glimpseserver to make searches more efficient. Glimpseserver starts a process that listens to queries, runs glimpse, and sends the answers back. The main advantage is that the index is read only once into memory saving a lot of IO. Glimpse communicates with glimpseserver through a given port number. See the warning about security below.

SYNOPSIS
glimpseserver [ -H dir -K port -J host. ]

DESCRIPTION

-H dir
    specifies the directory of the index. Similar to the -H option of glimpse. The default directory is the value of the environment variable $HOME if that is set, otherwise it is the current directory.

-K port
    this is the TCP port for communication: glimpseserver waits for requests on this port and clients that want to search using the index in specified by the -H option must use this port (by calling glimpse -K). The defaults port number is 2001.

-J host
    the name of the host. The default is the host where glimpseserver is running, which is probably the only possibility anyway.

RESTARTING

If a new index is created by running glimpseindex every night, restarting a new glimpseserver is now easier: simply send a SIGUSR2 (signal #31 - i.e., "kill -31 pid") to glimpseserver; it then re-reads the NEW index and is ready to serve requests again. (A SIGHUP, i.e., signal #1, can also be sent instead of SIGUSR2 to make the glimpseserver re-read the new index.) The recommended way to do a fresh indexing while the server is still running is:
send SIGSTOP to glimpseserver
do the indexing
send SIGUSR2 to glimpseserver
send SIGCONT to glimpseserver (to ask it to continue after stop)
The SIGSTOP is required so that glimpseserver doesn't answer any queries while the indexing is going on.

WARNING

Glimpseserver should be used only for public servers. Any client that knows the port number can get any information available in the index (and port numbers are not that secret). When glimpse is run as a standalone application it requires read permission of the index and all the files. When glimpse uses the -C option to communicate with glimpseserver, glimpse (the client) does not require any permission, because glimpseserver does all the searching. So, we recommend not to run glimpseserver on any data that should be protected. Glimpseserver is meant to be used for public data.

SEE ALSO
glimpse(1), glimpseindex(1),

BUGS

Please submit bug reports or comments at http://webglimpse.net/bugzilla/

AUTHORS
Udi Manber and Burra Gopal, Department of Computer Science, University of Arizona, and Sun Wu, the National Chung-Cheng University, Taiwan. Now maintained by Golda Velez at Internet WorkShop (Email: gvelez@webglimpse.net)